
Foreman - Refactor #11130

Calling set_table_name is deprecated

07/16/2015 03:28 AM - Dominic Cleal

Status: Closed   

Priority: Normal   
Target version: 1.10.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p
Description

We get some deprecation warnings when running migrations:

2015-07-16T08:23:02 [app] [W] DEPRECATION WARNING: Calling set_table_name is deprecated. Please us

e `self.table_name = 'the_name'` instead. (called from <class:FakeComputeAttribute> at /home/dclea

l/code/foreman/foreman/db/migrate/20150714140850_remove_new_from_compute_attributes.rb:2)

 Also in db/migrate/20140219183343_migrate_permissions.rb where I copied it from for the above migration.

set_table_name just needs changing as per the message.

Related issues:

Related to Foreman - Bug #10994: Extra interface added when selecting compute... Closed 07/03/2015

Associated revisions

Revision 796179e5 - 09/14/2015 05:00 AM - Shlomi Zadok

fixes #11130 - Use self.table_name instead of deprecated set_table_name

History

#1 - 07/16/2015 03:30 AM - Dominic Cleal

- Related to Bug #10994: Extra interface added when selecting compute profile added

#2 - 09/12/2015 10:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2708 added

- Pull request deleted ()

#3 - 09/14/2015 05:01 AM - Dominic Cleal

- Assignee set to Shlomi Zadok

- translation missing: en.field_release set to 63

#4 - 09/14/2015 05:02 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 796179e56abdf39933517eb21e81bf633f93c3db.
